<template>
  <q-footer class="q-pb-sm q-px-md">
    <q-toolbar>
      <q-toolbar-title class="text-left">
        <a href="/" class="footer text__secondary">TERMS OF SERVICE</a>
        <span class="footer text__secondary"> • </span>
        <a href="/" class="footer text__secondary">PRIVACY POLICY</a>
      </q-toolbar-title>

      <q-toolbar-title class="text-right">
        <a class="footer text__secondary">
          <!-- VIGAN JOB MATCHING PORTAL v1.0 © 2022 -->
          {{ "v1.0 © " + getCurrentYear() }}
        </a>
      </q-toolbar-title>
    </q-toolbar>
  </q-footer>
</template>

<script>
import { defineComponent, ref } from "vue";

export default defineComponent({
  setup() {
    const getCurrentYear = () => {
      return new Date().getFullYear();
    };

    return {
      getCurrentYear,
    };
  },
});
</script>

<style lang="scss" scoped>
.q-footer {
  background: none !important;
  position: fixed;
}

@media screen and (max-width: 500px) {
  a {
    font-size: 8px;
  }
}
</style>
